<?
ob_start();
session_start();
if(isset($_SESSION['ses_name']))
{
$user=$_SESSION['ses_name'];
}else{
header("location:index.php");
}
$tyrenum_veh='';$client_main='';
$cclient_name='';$rproduct_client_code='';
include("include/config.php");
require_once "include/Database_functions.php";
$sqlObj=new sqlclass();

$rproduct_name='';$rproduct_category='';
	

$tablename='cf_branch';
            
		 $pdate=date("Y-m-d");
						
			if(isset($_POST['branch_name'])){
			$branch_name=addslashes($_POST['branch_name']);
			}
			
			if(isset($_POST['brchaddress'])){
			$brchaddress=addslashes($_POST['brchaddress']);
			}	
			
			if(isset($_POST['phno'])){
			$phno=addslashes($_POST['phno']);
			}
			if(isset($_POST['save'])){	
			
			$rbranchid = $_REQUEST['branchid'];		
			$sqlObj->tablename=$tablename;
			
			$sqlObj->fieldname='(branch_name,brch_address,brch_phno)';
			$sqlObj->fieldvalue='"'.$branch_name.'","'.$brchaddress.'","'.$phno.'"';
			if($rbranchid==""){
			 $qsy= "insert into ".$tablename.$sqlObj->fieldname." values(".$sqlObj->fieldvalue.")";
			 $CreateClient 	= mysql_query($qsy);
			$lastid = mysql_insert_id();
			}else{
			$updata="branch_name='".$branch_name."',brch_address='".$brchaddress."',brch_phno='".$phno."'";
			$qsy= "update ".$tablename." set ".$updata." where branch_id='".$rbranchid."'";
			$CreateClient 	= mysql_query($qsy);
			$lastid = $rbranchid;
						
			}
			
			header("location:branch-list.php?msg=You Have Successfully Saved");
			
		}

$branchname='';
$brchaddress='';
$brchphno='';			
if(isset($_REQUEST['branchid'])){
	$brid=mysql_escape_string($_REQUEST['branchid']);
	$rqry="SELECT *  FROM cf_branch where branch_id='".$brid."'";
	
	$sqry=mysql_query($rqry);
	if($sqry && mysql_num_rows($sqry)>0)
	{
		while($sobj=mysql_fetch_object($sqry))
		{
			$branchname=$sobj->branch_name;
			$brchaddress=$sobj->brch_address;
			$brchphno=$sobj->brch_phno;
			
		}
		}
	}		
			
		
					

?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>OIL FILL</title>
<link href="css/styles.css" rel="stylesheet"  />
<link type="text/css" href="css_date/ui-lightness/jquery-ui-1.7.2.custom.css" rel="stylesheet" />
<script type="text/javascript" src="scripts_date/jquery.js"></script>
<script type="text/javascript" src="scripts_date/jquery-calendar-1.7.2.js"></script>
<script src="js/addmoretown.js"></script>



<script type="text/javascript">
<!--
function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}
function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}
function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}
//-->


</script>

	<script type='text/javascript'>
	
function validationprod()
{

	if(document.prodfrmname.branch_name.value=='')
	{
		alert("Enter Branch Name");
		document.prodfrmname.branch_name.focus();
		return false;
	}
	if(document.prodfrmname.brchaddress.value=='')
	{
		alert("Enter Address");
		document.prodfrmname.brchaddress.focus();
		return false;
	}
	
	if(document.prodfrmname.phno.value=='')
	{
		alert("Enter Phone no");
		document.prodfrmname.phno.focus();
		return false;
	}
}
//--client code dropdown

</script>
<style>
.lableentrytext{
font-size: 12px;
color: #505050;
clear: both;
margin-bottom: 5px;
text-transform: capitalize;
}
.addimgs{
font-size: 12px;
color: #505050;
clear: both;
margin-bottom: 5px;
text-transform: capitalize;
cursor:hand;
cursor:pointer;
}
.addimgs a:hover{
color: #000;
}
.rimg{
font-size: 12px;
color: #505050;
clear: both;
margin-bottom: 5px;
text-transform: capitalize;
cursor:hand;
cursor:pointer;
}
.rimg a:hover{
color: #000;
}

</style>
</head>

<body>
<div class="wrapper">
  <div>
<?php 
	include("header.php");
?>
 
</div>
 
 
 <div class="tabbedArea">
  
  <div class="tabBody">
   <h1>Add Branch</h1>
   <form name="prodfrmname" method="post" action="">
    <div class="addEmp" style="margin-bottom:0px; border-bottom:0px solid;width:1000px;">
        <table width="70%" border="0" cellspacing="0" cellpadding="10">
          <tr>
            <td valign="top">
      <div class="form1">
        <p class="input1">Branch Name<span style="color:#FF3300">*</span></p><input type="text" name="branch_name" id="branch_name" class="input1 input3" value="<?=$branchname?>" >
     </div>
     
     <div class="form1">
        <p class="input1">Branch Address<span style="color:#FF3300">*</span></p><textarea name="brchaddress" class="input1"><?=$brchaddress?></textarea>
     </div>
        </td>
            <td valign="top">
            <div>     
      			<p class="input1">Ph No<span style="color:#FF3300">*</span></p><input type="text" name="phno" id="phno" class="input1 input3" value="<?=$brchphno?>" >
     	   </div>        
            
            </td>
          </tr>
        </table>
	
	<table width="70%" border="0" cellspacing="0" cellpadding="10">
       <tr>
         <td colspan="2"><div class="searchField1">
        <?php
	 	if(isset($_REQUEST['brchid'])){
		$rbrchid = $_REQUEST['brchid'];
	  ?><input name="brchid" type="hidden" value="<?=$rbrchid?>">  
	 
      <input name="save" type="submit" class="input1" value="Edit" onClick="return validationprod();"/>
      <?php }else { ?>   
     <input name="save" type="submit" class="input1" value="Save" onClick="return validationprod();"/>
	  
     <?php } ?>

         <input type="button" class="input1" value="Cancel" >
        </div>
        </td>
          </tr>
        </table>
       

<div class="mand"><p>Fields marked <span style="color:#FF3300">*</span> are Mandatory</p></div>
</div>
   </form>
   </div>
 </div>
 <div class="footer"><p>Powered by <a href="http://www.aadhocc.co.uk/" target="_blank">Aadhocc</a></p></div>
 
</div>
<div class="quicLInksCover">
  <?php 
	include("leftlink.php");
?>

</div>
</body>
</html>


		






